<?php
//PDF USING MULTIPLE PAGES
//FILE Originally CREATED BY: Carlos José Vásquez Sáez

 define('FPDF_FONTPATH','font/');
 require('/home/ppdtnnet/public_html/fpdf/fpdf.php');

  include "../include/config.php";


 function fnKep($str) {
	if ($str >= 90 )  { $retVal = "BAND 1";
	} elseif ($str >= 80) { $retVal = "BAND 2";
	} elseif ($str >= 60) { $retVal = "BAND 3";
	} elseif ($str >= 40) { $retVal = "BAND 4";
	} elseif ($str >= 20) { $retVal = "BAND 5";
        } elseif ($str >= 0) { $retVal = "BAND 6";
	}
	return $retVal;
 }


$q = $_POST['kodppd'];
// $q = 'N030';

   $curDate = date('d-m-Y');
   $curYear = date('Y');

//Create new pdf file
$pdf=new FPDF(L);

//Open file
$pdf->Open();

//Disable automatic page break
$pdf->SetAutoPageBreak(false);

//Add first page
$pdf->AddPage();

//set initial y axis position per page
$y_axis_initial = 35;

//Set Row Height
$row_height = 6;

//print column titles for the actual page
$pdf->SetFillColor(232, 232, 232);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetY($y_axis_initial);
$pdf->SetX(15);
$pdf->Cell(8, $row_height, 'BIL', 1, 0, 'C', 0);
$pdf->Cell(15,$row_height, 'PPD', 1, 0, 'C', 0);
$pdf->Cell(80,$row_height, 'SEKOLAH', 1, 0, 'C', 0);
$pdf->Cell(40, $row_height, 'JUMLAH SKOR', 1, 0, 'C', 0);
$pdf->Cell(40, $row_height, 'PERATUS SKOR', 1, 0, 'C', 0);
$pdf->Cell(40,$row_height, 'KEPUTUSAN', 1, 0, 'C', 0);
$pdf->Cell(40, $row_height, 'TARIKH KEMASKINI', 1, 0, 'C', 0);


//Select the Products you want to show in your PDF file

$result=mysql_query("SELECT KODPPD, KODSEK, SEKOLAH, 

SUM( A1 + A2 + A3 + A4 + A5 + A6 + A7 + A8 + A9
 + B1 + B2 + B3 + B4
 + C1 + C2 + C3 + C4 + C5 + C6 + C7 + C8
 + D1 + D2 + D3 + D4 + D5 + D6
 + E1 + E2 + E3 + E4 + E5 + E6
 + F1 + F2 + F3 + F4 + F5 + F6
 + G1 + G2 + G3 + G4 + G5
 + H1 + H2 + H3 + H4 + H5 + H6 + H7
 + I1 + I2 + I3 + I4
 + J1 + J2 + J3 + J4 + J5
) AS JMKH,

DATE_FORMAT(MASA,'%d-%m-%Y') AS dtTarikh 

FROM TKHB
WHERE TKHB.KODPPD = '".substr(strtoupper($session->username), 0, 4)."'
GROUP BY KODSEK
ORDER BY JMKH DESC", $link);

//initialize counter
$i = 0;

//Set maximum rows per page
$max = 25;

//Data Table y axis position starting point
$y_axis = $y_axis_initial + $row_height;

while($row = mysql_fetch_array($result))

{


    //If the current row is the last one, create new page and print column title
    if ($i == $max)
    {
        $pdf->AddPage();

        //print column titles for the current page
        $pdf->SetY($y_axis_initial);
        $pdf->SetX(15);
        $pdf->Cell(8, $row_height, 'BIL', 1, 0, 'C', 0);
        $pdf->Cell(15,$row_height, 'PPD', 1, 0, 'C', 0);
        $pdf->Cell(80,$row_height, 'SEKOLAH', 1, 0, 'C', 0);
        $pdf->Cell(40, $row_height, 'JUMLAH SKOR', 1, 0, 'C', 0);
        $pdf->Cell(40, $row_height, 'PERATUS SKOR', 1, 0, 'C', 0);
        $pdf->Cell(40,$row_height, 'KEPUTUSAN', 1, 0, 'C', 0);
        $pdf->Cell(40, $row_height, 'TARIKH KEMASKINI', 1, 0, 'C', 0);
       


        //Set $i variable to 0 (first row)
        $i = 0;
    //Reset the y axis value
    $y_axis = $y_axis_initial + $row_height;;
    }

    $bil 	= $bil+1;
    $kodppd 	= $row['KODPPD'];
    $ppd 	= $row['PPD'];
    $sekolah 	= $row['SEKOLAH'];
    $JMKH       = $row['JMKH'];
    $prSkor     = round(@(($row["JMKH"] / (180)) * 100),2);
    $kep        = fnKep($prSkor);
    $masa 	= $row['MASA'];




    $location  	= substr($row['location'],0,18);
    $penganjur 	= substr($row['penganjur'],0,22);;
    $tajuk 	= substr($row['tajuk'],0,75);;
    $kelulusan 	= substr($row['kelulusan'],0,12);;
//  $actdate 	= $row['actdate'];
    $actdate 	= $row['dtTarikh'];  


$pdf->SetFont('Arial', '', 10);
    $pdf->SetY($y_axis);
    $pdf->SetX(15);


    $pdf->Cell(8, $row_height, $bil, 1, 0, 'C', 0);
    $pdf->Cell(15, $row_height, $kodppd, 1, 0, 'C', 0);
    $pdf->Cell(80, $row_height, $sekolah, 1, 0, 'L', 0);
    $pdf->Cell(40, $row_height, $JMKH, 1, 0, 'C', 0);
    $pdf->Cell(40, $row_height, $prSkor, 1, 0, 'C', 0);
    $pdf->Cell(40, $row_height, $kep, 1, 0, 'C', 0);
    $pdf->Cell(40, $row_height, $actdate, 1, 0, 'C', 0);
    //Go to next row
    $y_axis = $y_axis + $row_height;
    $i = $i + 1;

// $pdf->Image('/home/ppdtnnet/public_html/gerak/images/passport/6.jpg',250,12,16);

$pdf->SetX(20);
$pdf->SetY(20);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(275,4,'LAPORAN DATA PEMANTAUAN PEBGURUSAN ASET KERAJAAN', 0, 0, 'C', 0);
$pdf->SetY(24);
$pdf->Cell(275,4,'LAPORAN DATA PADA - TAHUN '.$curYear, 0, 0, 'C', 0);

$pdf->SetFont('Arial', '', 8);
$pdf->SetXY(15,27);
$pdf->Cell(80,0,'PPD    :'. $kodppd, 0, 0, 'L', 0);
$pdf->SetXY(15,30);
$pdf->Cell(160,0,'NAMA :'.strtoupper($PPD), 0, 0, 'L', 0);



$pdf->SetXY(70,30);
$pdf->Cell(125,4,'ORGANISASI : PPD TAMPIN', 0, 0, 'C', 0);
$pdf->SetXY(75,30);

$pdf->SetFont('Arial', '', 10);
}

mysql_close($link);

//Create file
$pdf->Output();