<?php
//PDF USING MULTIPLE PAGES
//FILE Originally CREATED BY: Carlos José Vásquez Sáez

 include("../login/include/session.php");

 define('FPDF_FONTPATH','font/');
 require('/home/ppdtnnet/public_html/fpdf/fpdf.php');

include "../include/config.php";
include("../bin/fnKH2.php");

$q = $_GET['SEKOLAH'];
//var_dump("$q");

   $curDate = date('d-m-Y');
   $curYear = date('Y');

//Create new pdf file
$pdf=new FPDF(P);

//Open file
$pdf->Open();

//Disable automatic page break
$pdf->SetAutoPageBreak(false);

//Add first page
$pdf->AddPage();

//set initial y axis position per page
$y_axis_initial = 35;

//Set Row Height
$row_height = 8;

//print column titles for the actual page
$pdf->SetFillColor(232, 232, 232);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetY($y_axis_initial);
$pdf->SetX(15);
$pdf->Cell(8, $row_height, 'BIL', 1, 0, 'C', 0);
$pdf->Cell(20,$row_height, 'KOD SEK', 1, 0, 'C', 0);
$pdf->Cell(60,$row_height, 'SEKOLAH', 1, 0, 'C', 0);
$pdf->Cell(25,$row_height, 'SKOR', 1, 0, 'C', 0);
$pdf->Cell(25, $row_height, 'PERATUS', 1, 0, 'C', 0);
$pdf->Cell(25, $row_height, 'KEPUTUSAN', 1, 0, 'C', 0);
$pdf->Cell(25, $row_height, 'TARIKH', 1, 0, 'C', 0);


//Select the Products you want to show in your PDF file

$result=mysql_query("SELECT TKHB.PPD, TKHB.KODSEK, TKHB.SEKOLAH,

SUM( A1 + A2 + A3 + A4 + A5 + A6 + A7 + A8 + A9
 + B1 + B2 + B3 + B4
 + C1 + C2 + C3 + C4 + C5 + C6 + C7 + C8
 + D1 + D2 + D3 + D4 + D5 + D6
 + E1 + E2 + E3 + E4 + E5 + E6
 + F1 + F2 + F3 + F4 + F5 + F6
 + G1 + G2 + G3 + G4 + G5
 + H1 + H2 + H3 + H4 + H5 + H6 + H7
 + I1 + I2 + I3 + I4
 + J1 + J2 + J3 + J4 + J5
) AS JMKH,

DATE_FORMAT(MASA,'%d-%m-%Y') AS dtTarikh 

FROM TKHB
WHERE TKHB.KODSEK = '".substr(strtoupper($session->username), 0, 4)."'
GROUP BY SEKOLAH
ORDER BY JMKH DESC", $link);

//initialize counter
$i = 0;

//Set maximum rows per page
$max = 25;

//Data Table y axis position starting point
$y_axis = $y_axis_initial + $row_height;

while($row = mysql_fetch_array($result))
{
    //If the current row is the last one, create new page and print column title
    if ($i == $max)
    {
        $pdf->AddPage();

        //print column titles for the current page
        $pdf->SetY($y_axis_initial);
        $pdf->SetX(35);
        $pdf->Cell(8, $row_height, 'BIL', 1, 0, 'C', 0);
        $pdf->Cell(25,$row_height, 'KOD SEK', 1, 0, 'C', 0);
        $pdf->Cell(80,$row_height, 'SEKOLAH', 1, 0, 'C', 0);
        $pdf->Cell(30,$row_height, 'JUMLAH SKOR', 1, 0, 'C', 0);
        $pdf->Cell(30, $row_height, 'PERATUS', 1, 0, 'C', 0);
        $pdf->Cell(40, $row_height, 'KEPUTUSAN', 1, 0, 'C', 0);
        $pdf->Cell(30, $row_height, 'TARIKH', 1, 0, 'C', 0);
       


        //Set $i variable to 0 (first row)
        $i = 0;
    //Reset the y axis value
    $y_axis = $y_axis_initial + $row_height;;
    }

    $bil 	= $bil+1;
    $kodsek 	= $row['KODSEK'];
    $ppd 	= $row['PPD'];
    $sekolah 	= $row['SEKOLAH'];
    $JMKH       = $row['JMKH'];
    $prSkor     = round(@(($row["JMKH"] / (180)) * 100),2);
    $kep        = fnKep($prSkor);
    $dtTarikh 	= $row['MASA'];
    $actdate 	= $row['dtTarikh'];  

//
$pdf->SetFont('Arial', '', 10);
    $pdf->SetY($y_axis);
    $pdf->SetX(35);

    $pdf->Cell(8, $row_height, $bil, 1, 0, 'C', 0);
    $pdf->Cell(25, $row_height, $kodsek, 1, 0, 'C', 0);
    $pdf->Cell(80, $row_height, $sekolah, 1, 0, 'L', 0);
    $pdf->Cell(30, $row_height, $JMKH, 1, 0, 'C', 0);
    $pdf->Cell(30, $row_height, $prSkor, 1, 0, 'C', 0);
    $pdf->Cell(40, $row_height, fnKep($row['JMKH']), 1, 0, 'C', 0);
    $pdf->Cell(30, $row_height, $actdate, 1, 0, 'C', 0);


    //Go to next row
    $y_axis = $y_axis + $row_height;
    $i = $i + 1;

// $pdf->Image('/home/ppdtnnet/public_html/gerak/images/passport/6.jpg',250,12,16);

$pdf->SetX(15);
$pdf->SetY(20);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(275,4,'LAPORAN PEMANTAUAN PENGURUSAN ASET KERAJAAN SEKOLAH DAERAH TAMPIN', 0, 0, 'C', 0);
$pdf->SetY(24);
$pdf->Cell(275,4,'DATA PADA TAHUN '.$curYear, 0, 0, 'C', 0);

$pdf->SetFont('Arial', '', 10);

$pdf->SetXY(35,30);
$pdf->Cell(60,0,'SEKOLAH :' . strtoupper($sekolah) , 0, 0, 'L', 0);

$pdf->SetXY(75,30);

$pdf->SetFont('Arial', '', 10);
}

mysql_close($link);

//Create file
$pdf->Output();