<?php
//PDF USING MULTIPLE PAGES
//FILE Originally CREATED BY: Carlos José Vásquez Sáez

 define('FPDF_FONTPATH','font/');
 require('/home/ppdtnnet/public_html/fpdf/fpdf.php');

 include "../include/config.php";


$q = $_POST['nokp'];

   $curDate = date('d-m-Y');
   $curYear = date('Y');

//Create new pdf file
$pdf=new FPDF(L);

//Open file
$pdf->Open();

//Disable automatic page break
$pdf->SetAutoPageBreak(false);

//Add first page
$pdf->AddPage();

//set initial y axis position per page
$y_axis_initial = 35;

//Set Row Height
$row_height = 6;

//print column titles for the actual page
$pdf->SetFillColor(232, 232, 232);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetY($y_axis_initial);
$pdf->SetX(15);
$pdf->Cell(5, $row_height, 'BIL', 1, 0, 'C', 0);
$pdf->Cell(25,$row_height, 'KATEGORI', 1, 0, 'C', 0);
$pdf->Cell(40,$row_height, 'TEMPAT', 1, 0, 'C', 0);
$pdf->Cell(40,$row_height, 'PENGANJUR', 1, 0, 'C', 0);
$pdf->Cell(140, $row_height, 'PERKARA', 1, 0, 'C', 0);
$pdf->Cell(20, $row_height, 'TARIKH', 1, 0, 'C', 0);


//Select the Products you want to show in your PDF file


/* ASAL - ASAL - ASAL - ASAL - ASAL - ASAL - 
$result=mysql_query("SELECT  subutama.nokp,tdirektori.Nama,tdirektori.image,
		subutama.kategori, subutama.location, subutama.penganjur, subutama.tajuk, subutama.kelulusan, subutama.makluman, subutama.actdate,subutama.starttime    
		FROM subutama
		LEFT JOIN tdirektori
		ON tdirektori.nokp = subutama.nokp
        WHERE subutama.nokp = '".$q."'
        ORDER BY subutama.actdate DESC", $link);
*/



$result=mysql_query("SELECT subutama.nokp,tdirektori.Nama,tdirektori.image,
		subutama.kategori, subutama.location, subutama.penganjur, subutama.tajuk, subutama.kelulusan, subutama.makluman, 

		DATE_FORMAT(subutama.actdate,'%d-%m-%Y') AS dtTarikh ,
		subutama.starttime

	FROM subutama
	LEFT JOIN tdirektori
	ON tdirektori.nokp = subutama.nokp
	WHERE subutama.nokp = '".$q."'
	ORDER BY subutama.actdate DESC", $link);



//initialize counter
$i = 0;

//Set maximum rows per page
$max = 25;

//Data Table y axis position starting point
$y_axis = $y_axis_initial + $row_height;

while($row = mysql_fetch_array($result))
{
    //If the current row is the last one, create new page and print column title
    if ($i == $max)
    {
        $pdf->AddPage();

        //print column titles for the current page
        $pdf->SetY($y_axis_initial);
        $pdf->SetX(15);
        $pdf->Cell(5,  $row_height, 'BIL', 1, 0, 'C', 0);
        $pdf->Cell(25, $row_height, 'KATEGORI', 1, 0, 'C', 0);
        $pdf->Cell(40, $row_height, 'TEMPAT', 1, 0, 'L', 0);
        $pdf->Cell(40, $row_height, 'PENGANJUR', 1, 0, 'L', 0);
        $pdf->Cell(140, $row_height, 'PERKARA', 1, 0, 'L', 0);
        $pdf->Cell(20, $row_height, 'TARIKH', 1, 0, 'L', 0);
       


        //Set $i variable to 0 (first row)
        $i = 0;
    //Reset the y axis value
    $y_axis = $y_axis_initial + $row_height;;
    }

    $bil 	= $bil+1;
    $kp 	= $row['nokp'];
    $nama 	= $row['Nama'];
    $kategori 	= $row['kategori'];
    $location  	= substr($row['location'],0,18);
    $penganjur 	= substr($row['penganjur'],0,22);;
    $tajuk 	= substr($row['tajuk'],0,75);;
    $kelulusan 	= substr($row['kelulusan'],0,12);;
//  $actdate 	= $row['actdate'];
    $actdate 	= $row['dtTarikh'];  


$pdf->SetFont('Arial', '', 10);
    $pdf->SetY($y_axis);
    $pdf->SetX(15);




    $pdf->Cell(5, $row_height, $bil, 1, 0, 'C', 0);
    $pdf->Cell(25, $row_height, $kategori, 1, 0, 'L', 0);
    $pdf->Cell(40, $row_height, $location, 1, 0, 'L', 0);
    $pdf->Cell(40, $row_height, $penganjur, 1, 0, 'L', 0);
    $pdf->Cell(140, $row_height, $tajuk, 1, 0, 'L', 0);
    $pdf->Cell(20, $row_height, $actdate, 1, 0, 'L', 0);


    //Go to next row
    $y_axis = $y_axis + $row_height;
    $i = $i + 1;

// $pdf->Image('/home/ppdtnnet/public_html/gerak/images/passport/6.jpg',250,12,16);

$pdf->SetX(20);
$pdf->SetY(20);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(275,4,'LAPORAN PERGERAKAN DAN AKTIVITI PEGAWAI', 0, 0, 'C', 0);
$pdf->SetY(24);
$pdf->Cell(275,4,'PERGERAKAN PEGAWAI PADA - TAHUN '.$curYear, 0, 0, 'C', 0);

$pdf->SetFont('Arial', '', 8);
$pdf->SetXY(15,27);
$pdf->Cell(30,0,'KP    :'. $kp, 0, 0, 'L', 0);
$pdf->SetXY(15,30);
$pdf->Cell(60,0,'NAMA :' . strtoupper($nama) , 0, 0, 'L', 0);



$pdf->SetXY(70,30);
$pdf->Cell(125,4,'ORGANISASI : PPD TAMPIN', 0, 0, 'C', 0);
$pdf->SetXY(75,30);

$pdf->SetFont('Arial', '', 10);
}

mysql_close($link);

//Create file
$pdf->Output();